git-svn-id: http://www.rocklinux.org/svn/rock-linux/trunk@2037 c5f82cb5-29bc-0310-9cd0-bff59a50e3bcrocklinux
@ -1,91 +0,0 @@ |
|||
# --- ROCK-COPYRIGHT-NOTE-BEGIN --- |
|||
# |
|||
# This copyright note is auto-generated by ./scripts/Create-CopyPatch. |
|||
# Please add additional copyright information _after_ the line containing |
|||
# the ROCK-COPYRIGHT-NOTE-END tag. Otherwise it might get removed by |
|||
# the ./scripts/Create-CopyPatch script. Do not edit this copyright text! |
|||
# |
|||
# ROCK Linux: rock-src/package/x11/xfree86/fontconfig.pc.patch-disabled |
|||
# ROCK Linux is Copyright (C) 1998 - 2003 Clifford Wolf |
|||
# |
|||
# This program is free software; you can redistribute it and/or modify |
|||
# it under the terms of the GNU General Public License as published by |
|||
# the Free Software Foundation; either version 2 of the License, or |
|||
# (at your option) any later version. A copy of the GNU General Public |
|||
# License can be found at Documentation/COPYING. |
|||
# |
|||
# Many people helped and are helping developing ROCK Linux. Please |
|||
# have a look at http://www.rocklinux.org/ and the Documentation/TEAM |
|||
# file for details. |
|||
# |
|||
# --- ROCK-COPYRIGHT-NOTE-END --- |
|||
|
|||
|
|||
Add the missing fontconfig.pc* files, support and code in the style of |
|||
Xcursor (I would do it cleaner - but it this is the XFree86-way ...) |
|||
|
|||
- Rene Rebe <rene@rocklinux.org> |
|||
|
|||
--- xc/lib/fontconfig/Imakefile 2003-06-10 13:04:51.000000000 +0200 |
|||
+++ xc-new/lib/fontconfig/Imakefile 2003-08-30 20:02:57.000000000 +0200 |
|||
@@ -17,6 +17,12 @@ |
|||
|
|||
HEADERS=fcfreetype.h fcprivate.h fontconfig.h |
|||
|
|||
+SUBSTVARS=prefix="$(PROJECTROOT)" \ |
|||
+ exec_prefix="$(BINDIR)" \ |
|||
+ libdir="$(USRLIBDIR)" \ |
|||
+ includedir="$(INCROOT)" \ |
|||
+ PACKAGE_VERSION="1.0.1" |
|||
+ |
|||
BuildIncludes($(HEADERS),IncSubdir,..) |
|||
InstallMultipleFlags($(HEADERS),$(INCDIR)/IncSubdir,$(INSTINCFLAGS)) |
|||
|
|||
@@ -91,12 +97,19 @@ |
|||
InstallNonExecFileBackup(fonts.conf,$(FONTCONFIGFONTSCONFDIR)) |
|||
InstallNonExecFile(fonts.dtd,$(FONTCONFIGFONTSCONFDIR)) |
|||
|
|||
-all:: fonts.conf |
|||
+all:: fonts.conf fontconfig.pc |
|||
|
|||
fonts.conf: fonts.conf.in setfontdirs findfonts |
|||
RemoveFile($@) |
|||
sh ./setfontdirs $(FONTDIRS) |
|||
|
|||
+fontconfig.pc: fontconfig.pc.in |
|||
+ RemoveFile($@) |
|||
+ sh config-subst $(SUBSTVARS) < $@.in > $@ |
|||
+ |
|||
+InstallNonExecFile(fontconfig.pc,$(USRLIBDIR)/pkgconfig) |
|||
+ |
|||
+ |
|||
clean:: |
|||
RemoveFile(fonts.conf) |
|||
|
|||
--- xc/lib/fontconfig/fontconfig.pc.in 1970-01-01 01:00:00.000000000 +0100 |
|||
+++ xc-new/lib/fontconfig/fontconfig.pc.in 2003-08-30 19:09:46.000000000 +0200 |
|||
@@ -0,0 +1,10 @@ |
|||
+prefix=@prefix@ |
|||
+exec_prefix=@exec_prefix@ |
|||
+libdir=@libdir@ |
|||
+includedir=@includedir@ |
|||
+ |
|||
+Name: Fontconfig |
|||
+Description: Font configuration and customization library |
|||
+Version: @PACKAGE_VERSION@ |
|||
+Libs: -L${libdir} -lfontconfig |
|||
+Cflags: -I${includedir} |
|||
--- xc/lib/fontconfig/config-subst 1970-01-01 01:00:00.000000000 +0100 |
|||
+++ xc-new/lib/fontconfig/config-subst 2003-08-30 19:43:14.000000000 +0200 |
|||
@@ -0,0 +1,11 @@ |
|||
+#!/bin/sh |
|||
+set -x |
|||
+script=config-subst.$$ |
|||
+trap "rm $script" 0 |
|||
+rm -f $script |
|||
+for i in ${1+"$@"}; do |
|||
+ var="`echo "$i" | sed 's/=.*$//'`" |
|||
+ val="`echo "$i" | sed 's/^[^=]*=//'`" |
|||
+ echo "s;@$var@;$val;" >> $script |
|||
+done |
|||
+sed -f $script |
@ -1,39 +0,0 @@ |
|||
# --- ROCK-COPYRIGHT-NOTE-BEGIN --- |
|||
# |
|||
# This copyright note is auto-generated by ./scripts/Create-CopyPatch. |
|||
# Please add additional copyright information _after_ the line containing |
|||
# the ROCK-COPYRIGHT-NOTE-END tag. Otherwise it might get removed by |
|||
# the ./scripts/Create-CopyPatch script. Do not edit this copyright text! |
|||
# |
|||
# ROCK Linux: rock-src/package/x11/xfree86/ppc-imps2-wheel.patch |
|||
# ROCK Linux is Copyright (C) 1998 - 2003 Clifford Wolf |
|||
# |
|||
# This patch file is dual-licensed. It is available under the license the |
|||
# patched project is licensed under, as long as it is an OpenSource license |
|||
# as defined at http://www.opensource.org/ (e.g. BSD, X11) or under the terms |
|||
# of the GNU General Public License as published by the Free Software |
|||
# Foundation; either version 2 of the License, or (at your option) any later |
|||
# version. |
|||
# |
|||
# --- ROCK-COPYRIGHT-NOTE-END --- |
|||
|
|||
|
|||
Hey cool - patching this paricular line seems to become a full-time job ... |
|||
or a good candidate for a cron job ;-) |
|||
|
|||
Otherwise negative movements (0xff, ...) will be interpreted as 255 (...) |
|||
and since it is above 7 assigned to 0 :-((( |
|||
|
|||
- Rene Rebe <rene@rocklinux.org> |
|||
|
|||
--- xc/programs/Xserver/hw/xfree86/input/mouse/mouse.c.orig 2003-10-10 13:06:30.000000000 +0200
|
|||
+++ xc/programs/Xserver/hw/xfree86/input/mouse/mouse.c 2003-12-06 16:41:17.000000000 +0100
|
|||
@@ -1386,7 +1386,7 @@
|
|||
(pBuf[0] & 0x80) >> 3; /* button 5 */ |
|||
dx = (pBuf[0] & 0x10) ? pBuf[1]-256 : pBuf[1]; |
|||
dy = (pBuf[0] & 0x20) ? -(pBuf[2]-256) : -pBuf[2]; |
|||
- dz = (char)(pBuf[3] | ((pBuf[3] & 0x08) ? 0xf8 : 0));
|
|||
+ dz = (signed char)(pBuf[3] | ((pBuf[3] & 0x08) ? 0xf8 : 0));
|
|||
if ((pBuf[3] & 0xf8) && ((pBuf[3] & 0xf8) != 0xf8)) { |
|||
if (pMse->autoProbe) { |
|||
SetMouseProto(pMse, PROT_EXPPS2); |